Loading...
Searching...
No Matches
dvbt_convolutional_interleaver.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVBT_CONVOLUTIONAL_INTERLEAVER_H
#define INCLUDED_DTV_DVBT_CONVOLUTIONAL_INTERLEAVER_H
#include <gnuradio/dtv/api.h>
#include <gnuradio/sync_interpolator.h>
namespace gr {
namespace dtv {
/*!
* \brief Convolutional interleaver.
* \ingroup dtv
*
* ETSI EN 300 744 Clause 4.3.1 \n
* Forney (Ramsey type III) convolutional interleaver. \n
* Input: Blocks of I bytes size. \n
* Output: Stream of 1 byte elements.
*/
class DTV_API dvbt_convolutional_interleaver : virtual public sync_interpolator
{
public:
typedef std::shared_ptr<dvbt_convolutional_interleaver> sptr;
/*!
* \brief Create a DVB-T convolutional interleaver.
*
* \param nsize number of blocks to process. \n
* \param I size of a block. \n
* \param M depth length for each element in shift registers.
*/
static sptr make(int nsize, int I, int M);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVBT_CONVOLUTIONAL_INTERLEAVER_H */
gr::dtv::dvbt_convolutional_interleaver
Convolutional interleaver.
Definition dvbt_convolutional_interleaver.h:28
gr::dtv::dvbt_convolutional_interleaver::make
static sptr make(int nsize, int I, int M)
Create a DVB-T convolutional interleaver.
gr::dtv::dvbt_convolutional_interleaver::sptr
std::shared_ptr< dvbt_convolutional_interleaver > sptr
Definition dvbt_convolutional_interleaver.h:30
gr::sync_interpolator
synchronous 1:N input to output with history
Definition sync_interpolator.h:26
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_interpolator.h